QHBox(3qt)

NAME
QHBox - Performs geometry management on its children

#include <qhbox.h>

Inherits QFrame.

Inherited by QVBox.

  Public Members
QHBox ( QWidget * parent=0, const char * name=0, WFlags f=0, bool allowLines=TRUE )
void setSpacing ( int )
bool setStretchFactor ( QWidget *, int stretch )

  Protected Members
QHBox ( bool horizontal, QWidget * parent=0, const char * name=0, WFlags f=0, bool allowLines=TRUE )

DESCRIPTION
The QHBox widget performs geometry management on its children

All its children will be placed beside each other and sized according to their sizeHint()s.

Use setMargin() to add space around the edge, and use setSpacing() to add space between the widgets.

[Image Omitted]

See also QVBox and QGrid.

Examples: xform/xform.cpp i18n/main.cpp

MEMBER FUNCTION DOCUMENTATION

QHBox::QHBox ( QWidget * parent=0, const char * name=0, WFlags f=0, bool allowLines=TRUE )
Constructs an hbox widget with parent parent and name name

QHBox::QHBox ( bool horizontal, QWidget * parent=0, const char * name=0, WFlags f=0, bool allowLines=TRUE ) [protected]
Constructs a horizontal hbox if horizontal is TRUE, otherwise constructs a vertical hbox (also known as a vbox).

This constructor is provided for the QVBox class. You should never need to use it directly.

void QHBox::frameChanged () [virtual protected]
Reimplemented for internal reasons; the API is not affected.

Reimplemented from QFrame.

void QHBox::setSpacing ( int space )
Sets the spacing between children to space.

Examples: xform/xform.cpp

bool QHBox::setStretchFactor ( QWidget * w, int stretch )
Sets the stretch factor of w to stretch.

See also QBoxLayout::setStretchFactor().

Examples: xform/xform.cpp

QSize QHBox::sizeHint () const [virtual]
Reimplemented for internal reasons; the API is not affected.

Reimplemented from QWidget.

SEE ALSO
http://doc.trolltech.com/qhbox.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qhbox.3qt) and the Qt version (2.3.3).